#ifndef PRINT_HH
#define PRINT_HH

#include <dune/common/function.hh>
#include <dune/common/bitsetvector.hh>

template <class SingletonVectorType, class VectorType>
void print_evolution(Dune::BitSetVector<1> const &frictionalNodes,
                     SingletonVectorType const &state,
                     VectorType const &displacement,
                     Dune::VirtualFunction<double, double> const &function,
                     int run, double time, std::ostream &octave_writer);

#endif
